

-- plant models: stack feeder
--g_sf1 = faudes.System("g_sf1.gen")
g_sf2 = faudes.System("g_sf2.gen")
g_sf3 = faudes.System("g_sf3.gen")
g_sf = faudes.System()
faudes.Parallel(g_sf2, g_sf3, g_sf)
--faudes.Parallel(g_sf, g_sf3,  g_sf)
g_sf:GraphWrite("g_sf.png")

-- plant models: conveyor belt
g_cb1 = faudes.System("g_cb1.gen")
g_cb2 = faudes.System("g_cb2.gen")
g_cb3 = faudes.System("g_cb3.gen")
g_cb = faudes.System()
faudes.Parallel(g_cb1, g_cb2, g_cb)
faudes.Parallel(g_cb, g_cb3, g_cb)
g_cb:GraphWrite("g_cb.png")

-- plant models: exit
g_xs1 = faudes.System("g_xs1.gen")
g_xs2 = faudes.System("g_xs2.gen")
g_xs3 = faudes.System("g_xs3.gen")
g_xs = faudes.System()
faudes.Parallel(g_xs1, g_xs2, g_xs)
faudes.Parallel(g_xs, g_xs3, g_xs)
g_xs:GraphWrite("g_xs.png")

-- plant model: over all plant
g = faudes.System()
faudes.Parallel(g_sf, g_cb, g)
faudes.Parallel(g, g_xs, g)


-- specification: stack feeder
e_sf1 = faudes.Generator("e_sf1.gen")
e_sf2 = faudes.Generator("e_sf2.gen")
e_sf = faudes.Generator()
faudes.Parallel(e_sf1,e_sf2,e_sf)
--e_sf = e_sf1
e_sf:GraphWrite("e_sf.png")



-- specification: conveyor belt
e_cb1 = faudes.Generator("e_cb1.gen")
e_cb2 = faudes.Generator("e_cb2.gen")
e_cb = faudes.Generator()
faudes.Parallel(e_cb1,e_cb2,e_cb)
--e_cb = e_cb1
e_cb:GraphWrite("e_cb.png")


-- specification: cooperate
e_trans1 = faudes.Generator("e_trans1.gen")
e_trans = e_trans1


-- synthesis: stack feeder and conveyor belt 
e= faudes.Generator()
faudes.Parallel(e_cb,e_sf,e)
faudes.Parallel(e,e_trans,e)

k = faudes.System()
sigma = g:Alphabet() + e:Alphabet()
faudes.InvProject(g,sigma)
faudes.InvProject(e,sigma)
g:SetControllable("a_cbreq")
g:SetControllable("a_cback")
g:SetControllable("a_sfreq")
g:SetControllable("a_sfack")

g:SetForcible("cb_bm+")
g:SetControllable("cb_bm+")

g:SetForcible("cb_boff")
g:SetControllable("cb_boff")

g:SetForcible("sf_fdon")
g:SetControllable("sf_fdon")

g:SetForcible("sf_fdoff")
g:SetControllable("sf_fdoff")

--g:SetControllable("tick")

faudes.SupTconNB(g,e,k)

k:SWrite()
k:Write("k.gen")

